<?php
include_once  'Modules/TestQuestionPool/classes/class.assQuestion.php';
/**
 * Class ilQspQuestionFactory
 * @author Nadia Matuschek <nmatuschek@databay.de>
 */
class ilFatQuestionFactory
{
	private function __construct()
	{
	}
	
	public static function instantiateQuestionGUI($obj_id)
	{
		$gui = assQuestion::instantiateQuestionGUI($obj_id);
		if ($gui->object instanceof assImagemapQuestion) {
			require_once 'Customizing/global/plugins/Services/Repository/RepositoryObject/FormATest/classes/adapter/class.ilFatImageMapQuestionAdapter.php';
			$object = new ilFatImageMapQuestionAdapter();
			$object->loadFromDb($obj_id);
			
			$object->setProcessLocker($gui->object->getProcessLocker());
			$object->feedbackOBJ = $gui->object->feedbackOBJ;

			$gui->object  = $object;
		}

		return $gui;
	}
	
	
	
}